       IDENTIFICATION DIVISION.
       PROGRAM-ID. CONTROLE DE CLIENTES.
       AUTHOR. CARLOS FERNANDO BELLA CRUZ.
       INSTALLATION. COMPUTADORES PESSOAIS PC/XT/AT/386.
       DATE-WRITTEN. 23/10/91.
       DATE-COMPILED 23/10/91.
       SECURITY. ABC ASSESSORIA TECNICA CONTABIL S/C LTDA SOMENTE.
       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER. SOLUTION-16.
       OBJECT-COMPUTER. LINHA IBM.
       SPECIAL-NAMES. DECIMAL-POINT IS COMMA.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.

            SELECT ARQ-CLI ASSIGN TO DISK
            ORGANIZATION INDEXED
            ACCESS MODE IS DYNAMIC
            RECORD KEY IS R02-9-CODIGO
            FILE STATUS IS W77-X-ARQ-ESTADO.

            SELECT IMPRES ASSIGN TO PRINTER.

            SELECT SRT-CLI ASSIGN TO DISK.

       DATA DIVISION.
       FILE SECTION.

       FD ARQ-CLI
         LABEL RECORD STANDARD
         VALUE OF FILE-ID IS "CLIENTES.DAT".
       01 R01-REG-CLI.
         02 R02-9-CODIGO               PIC 9(06).
         02 R02-X-NOME                 PIC X(40).
         02 R02-X-BAIRRO               PIC X(20).
         02 R02-X-END                  PIC X(40).
         02 R02-9-CEP                  PIC 9(06).
         02 R02-X-CIDADE               PIC X(20).
         02 R02-X-ESTADO               PIC X(02).
         02 R02-9-TELEF                PIC 9(10).
         02 R02-9-CGC                  PIC 9(14).
         02 R02-X-INS-EST              PIC X(15).
         02 R02-9-SALDO                PIC 9(09)V9(2).
         02 R02-9-VLR-AUX              PIC 9(09)V9(2).
         02 R02-9-OUTRO                PIC S9(09)V9(2).

       FD IMPRES LABEL RECORD OMITTED.
       01 LINHA PIC X(132).

       SD SRT-CLI
         VALUE OF FILE-ID IS "SORT.TMP".
       01 SRT01-REG-CLI.
         02 SRT02-9-CODIGO               PIC 9(06).
         02 SRT02-X-NOME                 PIC X(40).
         02 SRT02-X-BAIRRO               PIC X(20).
         02 SRT02-X-END                  PIC X(40).
         02 SRT02-9-CEP                  PIC 9(06).
         02 SRT02-X-CIDADE               PIC X(20).
         02 SRT02-X-ESTADO               PIC X(02).
         02 SRT02-9-TELEF                PIC 9(10).
         02 SRT02-9-CGC                  PIC 9(14).
         02 SRT02-X-INS-EST              PIC X(15).
         02 SRT02-9-SALDO                PIC 9(09)V9(2).
         02 SRT02-9-VLR-AUX              PIC 9(09)V9(2).
         02 SRT02-9-OUTRO                PIC S9(09)V9(2).

       WORKING-STORAGE SECTION.
       01 W01-X-ABCREL.
         02 FILLER           PIC X(12)         VALUE "ABCREL.COM".
         02 FILLER           PIC     9  COMP-0 VALUE ZERO.
       01 W01-X-ISAM.
         02 FILLER           PIC X(12)         VALUE "ISAM.EXE".
         02 FILLER           PIC     9  COMP-0 VALUE ZERO.
       01 W01-9-DATA.
         02 S02-9-ANO        PIC    99         VALUE ZEROS.
         02 S02-9-MES        PIC    99         VALUE ZEROS.
         02 S02-9-DIA        PIC    99         VALUE ZEROS.

       01 LINHA-NOME-SEQUENCIAL.
         02 FILLER PIC X(2) VALUE SPACES.
         02 L02-9-CODIGO-SEQ PIC 9(06) VALUE ZEROS.
         02 FILLER PIC X(3) VALUE " - ".
         02 L02-X-NOME-SEQ PIC X(40) VALUE SPACES.
         02 FILLER PIC X(1) VALUE SPACES.
         02 L02-9-HONOR PIC ZZZ.ZZZ.ZZ9,99 VALUE ZEROS.
         02 FILLER PIC X(1) VALUE SPACES.
         02 L02-9-DP PIC ZZZ.ZZZ.ZZ9,99 VALUE ZEROS.
         02 FILLER PIC X(1) VALUE SPACES.
         02 L02-9-CARTA PIC ZZZ.ZZZ.ZZ9,99 VALUE ZEROS.
         02 FILLER PIC X(1) VALUE SPACES.
         02 L02-9-OUTRO PIC ----.---.--9,99 VALUE ZEROS.
         02 FILLER PIC X(1) VALUE SPACES.
         02 L02-9-BANCO PIC ZZZ.ZZZ.ZZ9,99 VALUE ZEROS.

       01 LINHA-TOTAL.
         02 FILLER PIC X(52) VALUE
         "TOTAIS.............................................".
         02 L02-9-TOTAL-HON PIC ZZZ.ZZZ.ZZ9,99 VALUE ZEROS.
         02 FILLER PIC X(1) VALUE SPACES.
         02 L02-9-TOTAL-DP PIC ZZZ.ZZZ.ZZ9,99 VALUE ZEROS.
         02 FILLER PIC X(1) VALUE SPACES.
         02 L02-9-TOTAL-CARTA PIC ZZZ.ZZZ.ZZ9,99 VALUE ZEROS.
         02 FILLER PIC X(1) VALUE SPACES.
         02 L02-9-TOTAL-OUTRO PIC ----.---.--9,99 VALUE ZEROS.
         02 FILLER PIC X(1) VALUE SPACES.
         02 L02-9-TOTAL-BANCO PIC ZZZ.ZZZ.ZZ9,99 VALUE ZEROS.

       01 LINHA-NOME-CARTA.
         02 FILLER PIC X(4) VALUE SPACES.
         02 L02-X-NOME PIC X(40) VALUE SPACES.
       01 LINHA-VALOR-CARTA.
         02 FILLER PIC X(50) VALUE SPACES.
         02 L02-9-VALOR PIC ZZZ.ZZZ.ZZ9,99.


       01 LINHA-2.
         02 FILLER PIC X(57) VALUE SPACES.
         02 L02-9-VENC1 PIC XX/XX/XX VALUE SPACES.
         02 FILLER PIC X(59) VALUE SPACES.
         02 L02-9-VENC2 PIC XX/XX/XX VALUE SPACES.

      * Pelo total de campos dar 132 a impressora pulara uma linha.

       01 LINHA-4.
         02 FILLER PIC X(10) VALUE
           "  73725   ".
         02 FILLER PIC X(35) VALUE
           "  SECOB / CTBA.                    ".
         02 FILLER PIC X(24) VALUE SPACES.
         02 FILLER PIC X(10) VALUE
           "  73725   ".
         02 FILLER PIC X(35) VALUE
           "  SECOB / CTBA.                    ".
       01 LINHA-6.
         02 FILLER PIC X(42) VALUE SPACES.
         02 L02-9-CODIGO1 PIC 9999 VALUE ZEROS.
         02 FILLER PIC X(11) VALUE SPACES.
         02 L02-9-DIA1 PIC 9(2) VALUE ZEROS.
         02 FILLER PIC X VALUE "/".
         02 L02-9-MES1 PIC 9(2) VALUE ZEROS.
         02 FILLER PIC X VALUE "/".
         02 L02-9-ANO1 PIC 9(2) VALUE ZEROS.
         02 FILLER PIC X(46) VALUE SPACES.
         02 L02-9-CODIGO2 PIC 9999 VALUE ZEROS.
         02 FILLER PIC X(9) VALUE SPACES.
         02 L02-9-DIA2 PIC 9(2) VALUE ZEROS.
         02 FILLER PIC X VALUE "/".
         02 L02-9-MES2 PIC 9(2) VALUE ZEROS.
         02 FILLER PIC X VALUE "/".
         02 L02-9-ANO2 PIC 9(2) VALUE ZEROS.
       01 LINHA-8.
         02 FILLER PIC X(23) VALUE SPACES.
         02 L02-9-CGC1 PIC 99.999.999.9999.99 VALUE ZEROS.
         02 FILLER PIC X(50) VALUE SPACES.
         02 L02-9-CGC2 PIC 99.999.999.9999.99 VALUE ZEROS.
       01 LINHA-9.
         02 L02-X-NOME1 PIC X(40) VALUE SPACES.
         02 FILLER PIC X(28) VALUE SPACES.
         02 L02-X-NOME2 PIC X(40) VALUE SPACES.
       01 LINHA-10.
         02 L02-X-END1 PIC X(40) VALUE SPACES.
         02 FILLER PIC X(28) VALUE SPACES.
         02 L02-X-END2 PIC X(40) VALUE SPACES.
       01 LINHA-11.
         02 L02-9-CEP1 PIC 999.999 VALUE ZEROS.
         02 FILLER PIC X(3) VALUE " - ".
         02 L02-X-CIDADE1 PIC X(20) VALUE SPACES.
         02 FILLER PIC X(3) VALUE " - ".
         02 L02-X-ESTADO1 PIC X(2) VALUE SPACES.
         02 FILLER PIC X(33) VALUE SPACES.
         02 L02-9-CEP2 PIC 999.999 VALUE ZEROS.
         02 FILLER PIC X(3) VALUE " - ".
         02 L02-X-CIDADE2 PIC X(20) VALUE SPACES.
         02 FILLER PIC X(3) VALUE " - ".
         02 L02-X-ESTADO2 PIC X(2) VALUE SPACES.
       01 LINHA-12.
         02 FILLER PIC X(48) VALUE SPACES.
         02 L02-9-SALDO1 PIC ZZZ.ZZZ.ZZZ,ZZ VALUE ZEROS.
         02 FILLER PIC X(52) VALUE SPACES.
         02 L02-9-SALDO2 PIC ZZZ.ZZZ.ZZZ,ZZ VALUE ZEROS.
       01 LINHA-16.
         02 L02-9-MORA-DIARIA1 PIC ZZZ.ZZZ,ZZ VALUE ZEROS.
         02 FILLER PIC X(4) VALUE SPACES.
         02 L02-9-MORA-ATRASO1 PIC ZZZ.ZZZ,ZZ VALUE ZEROS.
         02 FILLER PIC X(44) VALUE SPACES.
         02 L02-9-MORA-DIARIA2 PIC ZZZ.ZZZ,ZZ VALUE ZEROS.
         02 FILLER PIC X(4) VALUE SPACES.
         02 L02-9-MORA-ATRASO2 PIC ZZZ.ZZZ,ZZ VALUE ZEROS.
       01 LINHA-19.
         02 L02-X-MENSAGEM1-1 PIC X(50) VALUE SPACES.
         02 FILLER PIC X(18) VALUE SPACES.
         02 L02-X-MENSAGEM1-2 PIC X(50) VALUE SPACES.
       01 LINHA-20.
         02 L02-X-MENSAGEM2-1 PIC X(50) VALUE SPACES.
         02 FILLER PIC X(18) VALUE SPACES.
         02 L02-X-MENSAGEM2-2 PIC X(50) VALUE SPACES.


       77 W77-X-PARAMETRO    PIC     X         VALUE SPACE.
       77 W77-X-ARQ-ESTADO   PIC    XX         VALUE SPACES.
       77 S77-X-TITULO       PIC X(15)         VALUE SPACES.
       77 W77-X-OPCAO        PIC     X         VALUE SPACE.
       77 W77-X-ENTER        PIC     X         VALUE SPACE.
       77 L77-X-MENSAGEM1    PIC X(40)         VALUE SPACES.
       77 L77-X-MENSAGEM2    PIC X(40)         VALUE SPACES.
       77 L77-X-VENCIMENTO   PIC X(06)         VALUE SPACES.
       77 W77-9-TOTAL-HON    PIC 9(09)V9(2)    VALUE ZEROS.
       77 W77-9-TOTAL-DP     PIC 9(09)V9(2)    VALUE ZEROS.
       77 W77-9-TOTAL-OUTRO  PIC S9(09)V9(2)    VALUE ZEROS.
       77 W77-9-TOTAL-CARTA  PIC 9(09)V9(2)    VALUE ZEROS.
       77 W77-9-TOTAL-BANCO  PIC 9(09)V9(2)    VALUE ZEROS.
                           
       SCREEN SECTION.
       01 TELA-MOLDURA.
         05 LINE 1 COLUMN 01 VALUE
           "".
         05 LINE 1 COLUMN 41 VALUE
           "ͻ         ".
         05 LINE 2 COLUMN 01 VALUE
           "         ABC Assessoria Tecnica Contabi".
         05 LINE 2 COLUMN 41 VALUE
           "l.        Data:   XX/XX/XX   ͻ".
         05 LINE 3 COLUMN 01 VALUE
           "     Elaborador: Carlos Fernando Bella ".
         05 LINE 3 COLUMN 41 VALUE
           "Cruz.     Tela atual: XXXXXXXXXXXXXXX ".
         05 LINE 4 COLUMN 01 VALUE
           "".
         05 LINE 4 COLUMN 41 VALUE
           "Ķ".
         05 LINE 5 COLUMN 01 VALUE
           "                                       ".
         05 LINE 5 COLUMN 41 VALUE
           "                                       ".
         05 LINE 6 COLUMN 01 VALUE
           "                                       ".
         05 LINE 6 COLUMN 41 VALUE
           "                                       ".
         05 LINE 7 COLUMN 01 VALUE
           "                                       ".
         05 LINE 7 COLUMN 41 VALUE
           "                                       ".
         05 LINE 8 COLUMN 01 VALUE
           "                                       ".
         05 LINE 8 COLUMN 41 VALUE
           "                                       ".
         05 LINE 9 COLUMN 01 VALUE
           "                                       ".
         05 LINE 9 COLUMN 41 VALUE
           "                                       ".
         05 LINE 10 COLUMN 01 VALUE
           "                                       ".
         05 LINE 10 COLUMN 41 VALUE
           "                                       ".
         05 LINE 11 COLUMN 01 VALUE
           "                                       ".
         05 LINE 11 COLUMN 41 VALUE
           "                                       ".
         05 LINE 12 COLUMN 01 VALUE
           "                                       ".
         05 LINE 12 COLUMN 41 VALUE
           "                                       ".
         05 LINE 13 COLUMN 01 VALUE
           "                                       ".
         05 LINE 13 COLUMN 41 VALUE
           "                                       ".
         05 LINE 14 COLUMN 01 VALUE
           "                                       ".
         05 LINE 14 COLUMN 41 VALUE
           "                                       ".
         05 LINE 15 COLUMN 01 VALUE
           "                                       ".
         05 LINE 15 COLUMN 41 VALUE
           "                                       ".
         05 LINE 16 COLUMN 01 VALUE
           "                                       ".
         05 LINE 16 COLUMN 41 VALUE
           "                                       ".
         05 LINE 17 COLUMN 01 VALUE
           "                                       ".
         05 LINE 17 COLUMN 41 VALUE
           "                                       ".
         05 LINE 18 COLUMN 01 VALUE
           "                                       ".
         05 LINE 18 COLUMN 41 VALUE
           "                                       ".
         05 LINE 19 COLUMN 01 VALUE
           "                                       ".
         05 LINE 19 COLUMN 41 VALUE
           "                                       ".
         05 LINE 20 COLUMN 01 VALUE
           "                                       ".
         05 LINE 20 COLUMN 41 VALUE
           "                                       ".
         05 LINE 21 COLUMN 01 VALUE
           "                                       ".
         05 LINE 21 COLUMN 41 VALUE
           "                                       ".
         05 LINE 22 COLUMN 01 VALUE
           "".
         05 LINE 22 COLUMN 41 VALUE
           "Ķ".
         05 LINE 23 COLUMN 01 VALUE
           " Mensagens:                            ".
         05 LINE 23 COLUMN 41 VALUE
           "                                       ".
         05 LINE 24 COLUMN 01 VALUE
           "".
         05 LINE 24 COLUMN 41 VALUE
           "ͼ".
         05 LINE 2 COLUMN 60 USING S02-9-DIA PIC 99.
         05 LINE 2 COLUMN 63 USING S02-9-MES PIC 99.
         05 LINE 2 COLUMN 66 USING S02-9-ANO PIC 99.
         05 LINE 3 COLUMN 64 USING S77-X-TITULO PIC X(15).
       01 TELA-MOLDURA-DADOS.
         05 LINE 7 COLUMN 02 VALUE
           "     Codigo   Razao Social ".
         05 LINE 7 COLUMN 41 VALUE
           "Ŀ  Telefone Ŀ".
         05 LINE 8 COLUMN 02 VALUE
           "        ".
         05 LINE 8 COLUMN 41 VALUE
           "    ".
         05 LINE 9 COLUMN 02 VALUE
           "     ".
         05 LINE 9 COLUMN 41 VALUE
           " ".
         05 LINE 10 COLUMN 02 VALUE
           "     Endereco ".
         05 LINE 10 COLUMN 41 VALUE
           "Ŀ   Bairro Ŀ".
         05 LINE 11 COLUMN 02 VALUE
           "     ".
         05 LINE 11 COLUMN 41 VALUE
           "     ".
         05 LINE 12 COLUMN 02 VALUE
           "    ".
         05 LINE 12 COLUMN 41 VALUE
           "  ".
         05 LINE 13 COLUMN 02 VALUE
           "     Cep Ŀ  Cidade Ŀ ".
         05 LINE 13 COLUMN 41 VALUE
           " Estado         Saldo Ŀ".
         05 LINE 14 COLUMN 02 VALUE
           "          ".
         05 LINE 14 COLUMN 41 VALUE
           "           ".
         05 LINE 15 COLUMN 02 VALUE
           "      ".
         05 LINE 15 COLUMN 41 VALUE
           "           ".
         05 LINE 16 COLUMN 02 VALUE
           "     CGC Ŀ  Inscr.Esta".
         05 LINE 16 COLUMN 41 VALUE
           "dual Ŀ           Valor Ŀ".
         05 LINE 17 COLUMN 02 VALUE
           "        ".
         05 LINE 17 COLUMN 41 VALUE
           "             ".
         05 LINE 18 COLUMN 02 VALUE
           "     ".
         05 LINE 18 COLUMN 41 VALUE
           "          ".
         05 LINE 19 COLUMN 58 VALUE
           " Outro Ŀ".
         05 LINE 20 COLUMN 58 VALUE
           "  ".
         05 LINE 21 COLUMN 58 VALUE
           "".
       01 TELA-DADOS.
         05 LINE  8 COLUMN 19 USING R02-X-NOME    PIC X(40).
         05 LINE  8 COLUMN 64 USING R02-9-TELEF   PIC 9(10).
         05 LINE 11 COLUMN  8 USING R02-X-END     PIC X(40).
         05 LINE 11 COLUMN 54 USING R02-X-BAIRRO  PIC X(20).
         05 LINE 14 COLUMN  8 USING R02-9-CEP     PIC 9(06).
         05 LINE 14 COLUMN 19 USING R02-X-CIDADE  PIC X(20).
         05 LINE 14 COLUMN 43 USING R02-X-ESTADO  PIC X(02).
         05 LINE 17 COLUMN  8 USING R02-9-CGC
                                    PIC 99.999.999.9999.99.
         05 LINE 17 COLUMN 31 USING R02-X-INS-EST PIC X(15).
         05 LINE 14 COLUMN 60 USING R02-9-SALDO   PIC 999.999.999,99.
         05 LINE 17 COLUMN 60 USING R02-9-VLR-AUX PIC 999.999.999,99.
         05 LINE 20 COLUMN 59 USING R02-9-OUTRO   PIC -999.999.999,99.
       01 TELA-VENCIMENTO.
         05 LINE 6 COLUMN 02 VALUE
           "      Vencimento ".
         05 LINE 7 COLUMN 02 VALUE
           "      // ".
         05 LINE 8 COLUMN 02 VALUE
           "       ".
         05 LINE 10 COLUMN 02 VALUE
           "      Mensagem ".
         05 LINE 10 COLUMN 41 VALUE
           "Ŀ".
         05 LINE 11 COLUMN 02 VALUE
           "      ".
         05 LINE 11 COLUMN 41 VALUE
           " ".
         05 LINE 12 COLUMN 02 VALUE
           "     ".
         05 LINE 12 COLUMN 41 VALUE
           "".
         05 LINE 14 COLUMN 02 VALUE
           "      Mensagem ".
         05 LINE 14 COLUMN 41 VALUE
           "Ŀ".
         05 LINE 15 COLUMN 02 VALUE
           "      ".
         05 LINE 15 COLUMN 41 VALUE
           " ".
         05 LINE 16 COLUMN 02 VALUE
           "     ".
         05 LINE 16 COLUMN 41 VALUE
           "".
       01 TELA-ENTRA-VENCIMENTO.
         05 LINE  7 COLUMN 9 USING L77-X-VENCIMENTO PIC XX/XX/XX.
         05 LINE 11 COLUMN 9 USING L77-X-MENSAGEM1 PIC X(40).
         05 LINE 15 COLUMN 9 USING L77-X-MENSAGEM2 PIC X(40).
       01 TELA-CODIGO.
         05 LINE  8 COLUMN  8 USING R02-9-CODIGO   PIC 9(06).
       01 TELA-OPCOES.
         05 LINE 21 COLUMN 3 VALUE
           "[ ] [I]ncluir [E]xcluir [A]lterar".
         05 LINE 21 COLUMN 37 VALUE
           "[C]onsultar [L]istar [P]ers. [O]rden [S]air".
         05 LINE 23 COLUMN 3 VALUE
           "Mensagens:" BLINK.
         05 LINE 23 COLUMN 14 VALUE
           "Digite a sua opcao.".
         05 LINE 21 COLUMN 4 USING W77-X-OPCAO PIC X AUTO.
       01 TELA-LIMPA-RODAPE.
         05 LINE 23 COLUMN 3 VALUE
           "Mensagens:                            ".
         05 LINE 23 COLUMN 41 VALUE
           "                                       ".
       01 TELA-LIMPA-OPCAO.
         05 LINE 21 COLUMN 2 VALUE
           "                                       ".
         05 LINE 21 COLUMN 41 VALUE
           "                                       ".
       01 TELA-ERRO-ENTRADA.
         05 LINE 23 COLUMN 3 VALUE
           "Mensagens:" BLINK.
         05 LINE 23 COLUMN 14 VALUE
           "Entrada invalida! Tecle <     > para prosseguir.".
         05 LINE 23 COLUMN 39 VALUE
           "Enter" BLINK.
         05 LINE 23 COLUMN 62 USING W77-X-ENTER PIC X AUTO.
       01 TELA-ERRO-ARQUIVO.
         05 LINE 23 COLUMN 3 VALUE
           "Mensagens:" BLINK.
         05 LINE 23 COLUMN 14 VALUE
           "Arquivo nao encontrado! Devo criar um novo? [ ] (S/N)".
         05 LINE 23 COLUMN 59 USING W77-X-OPCAO PIC X AUTO.
       01 TELA-REG-JA-EXISTE.
         05 LINE 23 COLUMN 3 VALUE
           "Mensagens:" BLINK.
         05 LINE 23 COLUMN 14 VALUE
           "Este registro ja existe! Tecle <     > para prosseguir.".
         05 LINE 23 COLUMN 46 VALUE
           "Enter" BLINK.
         05 LINE 23 COLUMN 69 USING W77-X-ENTER PIC X AUTO.
       01 TELA-PAUSA.
         05 LINE 23 COLUMN 3 VALUE
           "Mensagens:" BLINK.
         05 LINE 23 COLUMN 14 VALUE
           "Tecle <     > para prosseguir.".
         05 LINE 23 COLUMN 21 VALUE
           "Enter" BLINK.
         05 LINE 23 COLUMN 44 USING W77-X-ENTER PIC X AUTO.
       01 TELA-ERRO-GRAVANDO-REG.
         05 LINE 23 COLUMN 3 VALUE
           "Mensagens:" BLINK.
         05 LINE 23 COLUMN 14 VALUE
           "Houve erro ao gravar o registro! Tecle <     >.".
         05 LINE 23 COLUMN 54 VALUE
           "Enter" BLINK.
         05 LINE 23 COLUMN 69 USING W77-X-ENTER PIC X AUTO.
       01 TELA-ERRO-DELETANDO-REG.
         05 LINE 23 COLUMN 3 VALUE
           "Mensagens:" BLINK.
         05 LINE 23 COLUMN 14 VALUE
           "Houve erro ao deletar o registro! Tecle <     >.".
         05 LINE 23 COLUMN 55 VALUE
           "Enter" BLINK.
         05 LINE 23 COLUMN 70 USING W77-X-ENTER PIC X AUTO.
       01 TELA-NAO-EXISTE-REG.
         05 LINE 23 COLUMN 3 VALUE
           "Mensagens:" BLINK.
         05 LINE 23 COLUMN 14 VALUE
           "Nao existe este registro! Tecle <     > para prosseguir.".
         05 LINE 23 COLUMN 47 VALUE
           "Enter" BLINK.
         05 LINE 23 COLUMN 70 USING W77-X-ENTER PIC X AUTO.
       01 TELA-CONFIRMA-ENTRADA.
         05 LINE 23 COLUMN 3 VALUE
           "Mensagens:" BLINK.
         05 LINE 23 COLUMN 14 VALUE
           "Os dados acima estao corretos? [ ] (S/N)".
         05 LINE 23 COLUMN 46 USING W77-X-OPCAO PIC X AUTO.
       01 TELA-CONFIRMA-EXCLUSAO.
         05 LINE 23 COLUMN 3 VALUE
           "Mensagens:" BLINK.
         05 LINE 23 COLUMN 14 VALUE
           "Confirma a exclusao do registro? [ ] (S/N)".
         05 LINE 23 COLUMN 48 USING W77-X-OPCAO PIC X AUTO.
       01 TELA-FALTAM-DADOS.
         05 LINE 23 COLUMN 3 VALUE
           "Mensagens:" BLINK.
         05 LINE 23 COLUMN 14 VALUE
           "Existem dados que nao foram entra dos Pressione <     >. ".
         05 LINE 23 COLUMN 63 VALUE
           "Enter" BLINK.
         05 LINE 23 COLUMN 70 USING W77-X-ENTER PIC X AUTO.
       01 TELA-LIMPA-TELA.
         05 BLANK SCREEN.


       PROCEDURE DIVISION.

      *****************************************************
      *  Inicio do programa principal .                   *
      *****************************************************

       0000-DOS.
           CALL "EXEC" USING W01-X-ISAM W77-X-PARAMETRO
           CALL "EXEC" USING W01-X-ABCREL W77-X-PARAMETRO.
       0001-ARQUIVO.
           OPEN I-O ARQ-CLI
           IF W77-X-ARQ-ESTADO = "30"
             ACCEPT W01-9-DATA FROM DATE
             MOVE "MENU PRINCIPAL" TO S77-X-TITULO
             DISPLAY TELA-MOLDURA
             DISPLAY TELA-ERRO-ARQUIVO
             ACCEPT TELA-ERRO-ARQUIVO
             IF W77-X-OPCAO = "S" OR "s"
               OPEN OUTPUT ARQ-CLI
               CLOSE ARQ-CLI
               OPEN I-O ARQ-CLI
               DISPLAY TELA-LIMPA-RODAPE
             ELSE
               IF W77-X-OPCAO = "N" OR "n"
                 DISPLAY TELA-LIMPA-TELA
                 STOP RUN
               ELSE
                 DISPLAY TELA-LIMPA-RODAPE
                 DISPLAY TELA-ERRO-ENTRADA
                 ACCEPT TELA-ERRO-ENTRADA
                 DISPLAY TELA-LIMPA-RODAPE
                 GO 0001-ARQUIVO.
       0010-OPCOES.
           ACCEPT W01-9-DATA FROM DATE
           MOVE "MENU PRINCIPAL" TO S77-X-TITULO
           DISPLAY TELA-LIMPA-TELA
           DISPLAY TELA-MOLDURA
           MOVE SPACE TO W77-X-OPCAO
           DISPLAY TELA-OPCOES
           ACCEPT TELA-OPCOES
           DISPLAY TELA-LIMPA-RODAPE
           DISPLAY TELA-LIMPA-OPCAO
           IF W77-X-OPCAO = "I" OR "i"
             GO 0100-INCLUIR.
           IF W77-X-OPCAO = "E" OR "e"
             GO 0200-EXCLUIR.
           IF W77-X-OPCAO = "A" OR "a"
             GO 0300-ALTERAR.
           IF W77-X-OPCAO = "C" OR "c"
             GO 0400-CONSULTAR.
           IF W77-X-OPCAO = "L" OR "l"
             GO 0500-LISTAR.
           IF W77-X-OPCAO = "P" OR "p"
             GO 0600-PERSONALIZACAO.
           IF W77-X-OPCAO = "O" OR "O"
             GO 0700-ALFABETICO.
           IF W77-X-OPCAO = "S" OR "s"
             CLOSE ARQ-CLI
             DISPLAY TELA-LIMPA-TELA
             STOP RUN.
           DISPLAY TELA-ERRO-ENTRADA
           ACCEPT TELA-ERRO-ENTRADA
           DISPLAY TELA-LIMPA-RODAPE
           GO 0010-OPCOES.

      *****************************************************
      *  Rotina para zerar as variaveis do registro princ.*
      *****************************************************

       0011-ZERA-VARIAVEIS.
           MOVE ZEROS TO R02-9-CODIGO R02-9-CEP R02-9-TELEF
                         R02-9-CGC R02-9-SALDO R02-9-VLR-AUX
                         R02-9-OUTRO
           MOVE SPACES TO R02-X-NOME R02-X-END
                          R02-X-INS-EST R02-X-BAIRRO.

      *****************************************************
      *  Inclusao de registros no arquivo de clientes.    *
      *****************************************************

       0100-INCLUIR.
           DISPLAY TELA-LIMPA-TELA
           MOVE "INCLUSAO" TO S77-X-TITULO
           DISPLAY TELA-MOLDURA.
       0110-INICIO-INCLUIR.
           DISPLAY TELA-MOLDURA-DADOS
           PERFORM 0011-ZERA-VARIAVEIS
           ACCEPT TELA-CODIGO ON ESCAPE GO 0010-OPCOES.
           READ ARQ-CLI RECORD INVALID KEY GO 0130-ACEITA-INCLUSAO.
           DISPLAY TELA-REG-JA-EXISTE
           ACCEPT TELA-REG-JA-EXISTE
           DISPLAY TELA-LIMPA-RODAPE
           GO 0110-INICIO-INCLUIR.
       0130-ACEITA-INCLUSAO.
           ACCEPT TELA-DADOS ON ESCAPE GO 0110-INICIO-INCLUIR.
       0140-CONFIRMA-INCLUSAO.
           MOVE SPACE TO W77-X-OPCAO
           DISPLAY TELA-CONFIRMA-ENTRADA
           ACCEPT TELA-CONFIRMA-ENTRADA
           DISPLAY TELA-LIMPA-RODAPE
           IF W77-X-OPCAO = "N" OR "n"
             GO 0130-ACEITA-INCLUSAO.
           IF W77-X-OPCAO NOT = "S" AND "s"
             DISPLAY TELA-ERRO-ENTRADA
             ACCEPT TELA-ERRO-ENTRADA
             DISPLAY TELA-LIMPA-RODAPE
             GO 0140-CONFIRMA-INCLUSAO.
           WRITE R01-REG-CLI INVALID KEY
             DISPLAY TELA-ERRO-GRAVANDO-REG
             ACCEPT TELA-ERRO-GRAVANDO-REG
             DISPLAY TELA-LIMPA-RODAPE
             GO 0010-OPCOES.
           GO 0110-INICIO-INCLUIR.

      *****************************************************
      *  Exclusao de registros no arquivo de clientes.    *
      *****************************************************

       0200-EXCLUIR.
           DISPLAY TELA-LIMPA-TELA
           MOVE "EXCLUSAO" TO S77-X-TITULO
           DISPLAY TELA-MOLDURA.
       0210-INICIO-EXCLUIR.
           DISPLAY TELA-MOLDURA-DADOS
           PERFORM 0011-ZERA-VARIAVEIS
           ACCEPT TELA-CODIGO ON ESCAPE GO 0010-OPCOES.
           READ ARQ-CLI RECORD INVALID KEY
             DISPLAY TELA-NAO-EXISTE-REG
             ACCEPT TELA-NAO-EXISTE-REG
             DISPLAY TELA-LIMPA-RODAPE
             GO 0210-INICIO-EXCLUIR.
           DISPLAY TELA-DADOS.
       0240-CONFIRMA-EXCLUSAO.
           MOVE SPACE TO W77-X-OPCAO
           DISPLAY TELA-CONFIRMA-EXCLUSAO
           ACCEPT TELA-CONFIRMA-EXCLUSAO
           DISPLAY TELA-LIMPA-RODAPE
           IF W77-X-OPCAO = "N" OR "n"
             GO 0210-INICIO-EXCLUIR.
           IF W77-X-OPCAO NOT = "S" AND "s"
             DISPLAY TELA-ERRO-ENTRADA
             ACCEPT TELA-ERRO-ENTRADA
             DISPLAY TELA-LIMPA-RODAPE
             GO 0240-CONFIRMA-EXCLUSAO.
           DELETE ARQ-CLI INVALID KEY
             DISPLAY TELA-ERRO-DELETANDO-REG
             ACCEPT TELA-ERRO-DELETANDO-REG
             DISPLAY TELA-LIMPA-RODAPE
             GO 0210-INICIO-EXCLUIR.
           GO 0210-INICIO-EXCLUIR.

      *****************************************************
      *  Alteracao de registros no arquivo de clientes.   *
      *****************************************************

       0300-ALTERAR.
           DISPLAY TELA-LIMPA-TELA
           MOVE "ALTERACAO" TO S77-X-TITULO
           DISPLAY TELA-MOLDURA.
       0310-INICIO-ALTERA.
           DISPLAY TELA-MOLDURA-DADOS
           PERFORM 0011-ZERA-VARIAVEIS
           ACCEPT TELA-CODIGO ON ESCAPE GO 0010-OPCOES.
           READ ARQ-CLI RECORD INVALID KEY
             DISPLAY TELA-NAO-EXISTE-REG
             ACCEPT TELA-NAO-EXISTE-REG
             DISPLAY TELA-LIMPA-RODAPE
             GO 0310-INICIO-ALTERA.
           DISPLAY TELA-DADOS
           ACCEPT TELA-DADOS ON ESCAPE GO 0310-INICIO-ALTERA.
       0340-CONFIRMA-ALTERACAO.
           MOVE SPACE TO W77-X-OPCAO
           DISPLAY TELA-CONFIRMA-ENTRADA
           ACCEPT TELA-CONFIRMA-ENTRADA
           DISPLAY TELA-LIMPA-RODAPE
           IF W77-X-OPCAO = "N" OR "n"
             GO 0310-INICIO-ALTERA.
           IF W77-X-OPCAO NOT = "S" AND "s"
             DISPLAY TELA-ERRO-ENTRADA
             ACCEPT TELA-ERRO-ENTRADA
             DISPLAY TELA-LIMPA-RODAPE
             GO 0340-CONFIRMA-ALTERACAO.
           REWRITE R01-REG-CLI INVALID KEY
             DISPLAY TELA-ERRO-GRAVANDO-REG
             ACCEPT TELA-ERRO-GRAVANDO-REG
             DISPLAY TELA-LIMPA-RODAPE
             GO 0010-OPCOES.
           GO 0310-INICIO-ALTERA.

      *****************************************************
      *  Consulta de registros no arquivo de clientes.    *
      *****************************************************

       0400-CONSULTAR.
           DISPLAY TELA-LIMPA-TELA
           MOVE "CONSULTA" TO S77-X-TITULO
           DISPLAY TELA-MOLDURA.
       0410-INICIO-CONSULTA.
           DISPLAY TELA-MOLDURA-DADOS
           PERFORM 0011-ZERA-VARIAVEIS
           ACCEPT TELA-CODIGO ON ESCAPE GO 0010-OPCOES.
           READ ARQ-CLI RECORD INVALID KEY
             DISPLAY TELA-NAO-EXISTE-REG
             ACCEPT TELA-NAO-EXISTE-REG
             DISPLAY TELA-LIMPA-RODAPE
             GO 0410-INICIO-CONSULTA.
           DISPLAY TELA-DADOS
           DISPLAY TELA-PAUSA
           ACCEPT TELA-PAUSA
           DISPLAY TELA-LIMPA-RODAPE
           GO 0410-INICIO-CONSULTA.

       0500-LISTAR.
           DISPLAY TELA-LIMPA-TELA
           MOVE "LISTAR" TO S77-X-TITULO
           DISPLAY TELA-MOLDURA
           OPEN OUTPUT IMPRES
           DISPLAY TELA-VENCIMENTO
           ACCEPT TELA-ENTRA-VENCIMENTO
           DISPLAY TELA-PAUSA
           ACCEPT TELA-PAUSA
           CLOSE ARQ-CLI
           OPEN INPUT ARQ-CLI.
        0520-INICIO-LISTAR.
           READ ARQ-CLI NEXT RECORD AT END
             CLOSE ARQ-CLI
             CLOSE IMPRES
             GO 0001-ARQUIVO.
           MOVE L77-X-VENCIMENTO TO L02-9-VENC1 L02-9-VENC2
           WRITE LINHA FROM LINHA-2
           WRITE LINHA FROM LINHA-4 AFTER 1
           MOVE S02-9-DIA TO L02-9-DIA1 L02-9-DIA2
           MOVE S02-9-MES TO L02-9-MES1 L02-9-MES2
           MOVE S02-9-ANO TO L02-9-ANO1 L02-9-ANO2
           MOVE R02-9-CODIGO TO L02-9-CODIGO1 L02-9-CODIGO2
           WRITE LINHA FROM LINHA-6 AFTER 2
           MOVE R02-9-CGC TO L02-9-CGC1 L02-9-CGC2
           WRITE LINHA FROM LINHA-8 AFTER 1
           MOVE R02-X-NOME TO L02-X-NOME1 L02-X-NOME2
           WRITE LINHA FROM LINHA-9
           MOVE R02-X-END TO L02-X-END1 L02-X-END2
           WRITE LINHA FROM LINHA-10
           MOVE R02-9-CEP TO L02-9-CEP1 L02-9-CEP2
           MOVE R02-X-CIDADE TO L02-X-CIDADE1 L02-X-CIDADE2
           MOVE R02-X-ESTADO TO L02-X-ESTADO1 L02-X-ESTADO2
           WRITE LINHA FROM LINHA-11
           ADD R02-9-VLR-AUX TO R02-9-SALDO
           ADD R02-9-OUTRO TO R02-9-SALDO
           MOVE R02-9-SALDO TO L02-9-SALDO1 L02-9-SALDO2
           WRITE LINHA FROM LINHA-12
           COMPUTE L02-9-MORA-DIARIA1 = (R02-9-SALDO * 0,01)
           COMPUTE L02-9-MORA-DIARIA2 = (R02-9-SALDO * 0,01)
           COMPUTE L02-9-MORA-ATRASO1 = (R02-9-SALDO * 0,1)
           COMPUTE L02-9-MORA-ATRASO2 = (R02-9-SALDO * 0,1)
           WRITE LINHA FROM LINHA-16 AFTER 4
           MOVE L77-X-MENSAGEM1 TO L02-X-MENSAGEM1-1
                                   L02-X-MENSAGEM1-2
           MOVE L77-X-MENSAGEM2 TO L02-X-MENSAGEM2-1
                                   L02-X-MENSAGEM2-2
           WRITE LINHA FROM LINHA-19 AFTER 2
           WRITE LINHA FROM LINHA-20 AFTER 1
           MOVE SPACES TO LINHA
           WRITE LINHA AFTER 6
           GO 0520-INICIO-LISTAR.


        0600-PERSONALIZACAO.
           DISPLAY TELA-LIMPA-TELA
           MOVE "CORRESPOND." TO S77-X-TITULO
           DISPLAY TELA-MOLDURA
           OPEN OUTPUT IMPRES
           DISPLAY TELA-PAUSA
           ACCEPT TELA-PAUSA
           DISPLAY TELA-LIMPA-RODAPE
           CLOSE ARQ-CLI
           OPEN INPUT ARQ-CLI.
        0620-INICIO-PERSONALIZACAO.
           READ ARQ-CLI NEXT RECORD AT END
             CLOSE ARQ-CLI
             CLOSE IMPRES
             GO 0001-ARQUIVO.
           MOVE R02-X-NOME TO L02-X-NOME
           WRITE LINHA FROM LINHA-NOME-CARTA AFTER 9
           MOVE SPACES TO LINHA
           WRITE LINHA AFTER PAGE
           MOVE R02-9-SALDO TO L02-9-VALOR
           WRITE LINHA FROM LINHA-VALOR-CARTA AFTER 23
           MOVE R02-9-VLR-AUX TO L02-9-VALOR
           WRITE LINHA FROM LINHA-VALOR-CARTA
           COMPUTE L02-9-VALOR = R02-9-SALDO + R02-9-VLR-AUX
           WRITE LINHA FROM LINHA-VALOR-CARTA AFTER 2
           MOVE SPACES TO LINHA
           WRITE LINHA BEFORE PAGE
           GO 0620-INICIO-PERSONALIZACAO.

        0700-ALFABETICO.
           MOVE ZEROS TO W77-9-TOTAL-HON W77-9-TOTAL-DP
                        W77-9-TOTAL-OUTRO W77-9-TOTAL-CARTA
                        W77-9-TOTAL-BANCO
           OPEN OUTPUT IMPRES
           SORT SRT-CLI ON ASCENDING KEY SRT02-X-NOME
             INPUT PROCEDURE IS 0710-ENTRADA
             OUTPUT PROCEDURE IS 0760-SAIDA.
           CLOSE IMPRES
           GO 0010-OPCOES.

        0710-ENTRADA SECTION.
        0720-INICIO-ORDENA.
           CLOSE ARQ-CLI
           OPEN INPUT ARQ-CLI.
        0740-MEIO-ORDENA.
           READ ARQ-CLI NEXT RECORD AT END
             CLOSE ARQ-CLI
             OPEN I-O ARQ-CLI
             GO 0750-FIM-FONTE-SORT.
           RELEASE SRT01-REG-CLI FROM R01-REG-CLI.
           GO 0740-MEIO-ORDENA.
        0750-FIM-FONTE-SORT.

        0760-SAIDA SECTION.
        0770-SAIDA-INICIO.
           RETURN SRT-CLI RECORD AT END
             MOVE W77-9-TOTAL-HON TO L02-9-TOTAL-HON
             MOVE W77-9-TOTAL-DP TO L02-9-TOTAL-DP
             MOVE W77-9-TOTAL-OUTRO TO L02-9-TOTAL-OUTRO
             MOVE W77-9-TOTAL-CARTA TO L02-9-TOTAL-CARTA
             MOVE W77-9-TOTAL-BANCO TO L02-9-TOTAL-BANCO
             WRITE LINHA FROM LINHA-TOTAL
             GO 0780-SAIDA-FIM.
           
           MOVE SRT02-9-CODIGO TO L02-9-CODIGO-SEQ
           MOVE SRT02-X-NOME TO L02-X-NOME-SEQ
           MOVE SRT02-9-SALDO TO L02-9-HONOR
           MOVE SRT02-9-VLR-AUX TO L02-9-DP
           MOVE SRT02-9-OUTRO TO L02-9-OUTRO
           COMPUTE L02-9-CARTA = SRT02-9-SALDO + SRT02-9-VLR-AUX
           COMPUTE L02-9-BANCO = SRT02-9-SALDO + SRT02-9-VLR-AUX
                                 + SRT02-9-OUTRO
           ADD SRT02-9-SALDO TO W77-9-TOTAL-HON
           ADD SRT02-9-VLR-AUX TO W77-9-TOTAL-DP
           ADD SRT02-9-OUTRO TO W77-9-TOTAL-OUTRO
           COMPUTE W77-9-TOTAL-CARTA = W77-9-TOTAL-CARTA +
              SRT02-9-SALDO + SRT02-9-VLR-AUX
           COMPUTE W77-9-TOTAL-BANCO = W77-9-TOTAL-BANCO +
                 SRT02-9-SALDO + SRT02-9-VLR-AUX + SRT02-9-OUTRO
           WRITE LINHA FROM LINHA-NOME-SEQUENCIAL

           GO 0770-SAIDA-INICIO.
        0780-SAIDA-FIM.
        0790-FIM-SORT SECTION.
        0799-RETORNA.

